"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e040>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e0d0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e160>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e1f0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e280>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e310>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e3a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e430>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e4c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e550>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e5e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e670>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e790>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e820>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e8b0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e940>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x112d1e9d0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x112d1ea60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x112d1eaf0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x112d1eb80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x112d1ec10>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x112d1eca0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x112d1ed30>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x112d1ee50>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x112d1edc0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x112d1eee0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x112d1ef70>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x112d23040>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x112d230d0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x112d23160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x112d231f0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x112d23280>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x112d23310>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x112d233a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x112d23430>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x112d234c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x112d23550>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x112d235e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x112d23670>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x112d23700>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x112d23790>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x112d23820>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x112d238b0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x112d23940>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x112d239d0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x112d23a60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x112d23af0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x112d23b80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x112d23c10>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x112d23ca0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x112d23d30>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x112d23dc0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x112d23e50>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x112d23ee0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x112d23f70>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x112d26040>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x112d260d0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x112d26160>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x112d261f0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x112d26280>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x112d26310>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x112d263a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x112d26430>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x112d264c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x112d26670>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x112d26550>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x112d26700>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x112d26790>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x112d26820>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x112d268b0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x112d26940>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x112d26a60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x112d269d0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x112d26af0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x112d26b80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x112d26c10>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x112d26d30>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x112d26ca0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x112d26dc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x112d26e50>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x112d26ee0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x112d26f70>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x112d2a040>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x112d2a0d0>)]
name: str = 'fr_HOCCN'
